﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace OutlookLikeApp
{
    public partial class Form1 : RadRibbonForm
    {
        public Form1()
        {
            InitializeComponent();

            // remove initially
            this.radRibbonBar1.CommandTabs.Remove(tabCalendar);
            this.radRibbonBar1.CommandTabs.Remove(tabMail);

            this.tabCommon.Items.Remove(groupMail);
            this.tabCommon.Items.Remove(groupCalendar);

            this.radPageView1.SelectedPageChanged += new EventHandler(radPageView1_SelectedPageChanged);

            this.radPageView1.SelectedPage = pageMail;
        }

        void radPageView1_SelectedPageChanged(object sender, EventArgs e)
        {
            if (this.radPageView1.SelectedPage.Text == "Mail")
            {
                panelMail.BringToFront();

                this.radRibbonBar1.CommandTabs.Remove(tabCalendar);
                this.radRibbonBar1.CommandTabs.Add(tabMail);

                this.tabCommon.Items.Remove(groupCalendar);
                this.tabCommon.Items.Add(groupMail);

                tabCommon.IsSelected = true;
            }

            if (this.radPageView1.SelectedPage.Text == "Calendar")
            {
                panelCalendar.BringToFront();

                this.radRibbonBar1.CommandTabs.Add(tabCalendar);
                this.radRibbonBar1.CommandTabs.Remove(tabMail);

                this.tabCommon.Items.Remove(groupMail);
                this.tabCommon.Items.Add(groupCalendar);

                tabCommon.IsSelected = true;
            }
        }
    }
}
